
var webPlannerInfo =
	'<hr />' +
	'<h1>About WebPlanner</h1>' +
	'<p>WebPlanner is fully interactive scheduling control for ASP.NET. It is implemented as a .NET Web control and can be easily integrated into any web application targeting the Microsoft .NET platform. WebPlanner provides intuitive user-interaction model for creating or editing appointments and events in a schedule. In addition, its programming interface places at your disposal many useful functions, ranging from XML serialization to displaying reminders and checking what occurrences of recurrent events happen in a specified time interval. </p>' +
	'<p>WebPlanner is part of <a href="http://mindfusion.eu/webforms-pack.html" title="MindFusion ASP.NET Pack">MindFusion ASP.NET Pack</a> &mdash; a comprehensive set of UI components which can help you create rich business applications with ease.</p>' +
	'<h2>Features</h2>' +
	'<ul>' +
		'<li>Several display types, including single or multiple month views, range of time intervals, timetable and resource views</li>' +
		'<li>Allows definition of custom-typed events</li>' +
		'<li>Supports recurring events</li>' +
		'<li>Interactive item creation</li>' +
		'<li>Drag&drop item modification (move, resize)</li>' +
		'<li>Fully customizable style-based appearance</li>' +
		'<li>Built-in themes</li>' +
		'<li>Ready to use customizable popup forms for interactive item creation and modification</li>' +
		'<li>Can be persisted into binary streams and XML documents</li>' +
		'<li>Programmatic access to both schedule objects and the calendar methods and properties</li>' +
		'<li>Numerous properties for customizing the appearance and behavior of every calendar view</li>' +
		'<li>Rich client-side event set and API</li>' +
	'</ul>';

$(function() {
	$('select').not('#lbItems').selectmenu();
	$('input[type=submit], input[type=button], button')
		.button();
	$('#expandButton')
		.click(function(event) {
			event.preventDefault();
		});

	$('#copyright').html("&copy; " + new Date().getFullYear() + " MindFusion");
	$('#infoTab :last-child').last().after(webPlannerInfo);

	if ($('#collapsed')[0].value === "1")
	{
		$('#info').css('width', '0px');
		$('#content').css('right', '0px');
		$('#expandButton').button("option", "label", "<");
	}
});

function onExpandCollapse()
{
	if ($('#info').css('width') != '400px')
	{
		$('#info').css('width', '400px');
		$('#content').css('right', '401px');
		$('#expandButton').button("option", "label", ">");
		$('#collapsed')[0].value = "";
	}
	else
	{
		$('#info').css('width', '0px');
		$('#content').css('right', '0px');
		$('#expandButton').button("option", "label", "<");
		$('#collapsed')[0].value = "1";
	}

	var cal = $find('Calendar1');
	if (cal) cal.adjust();
}
